﻿'''<summary>
'''In the event that a connected instrument is not one of the
'''supported instruments, this dialog is displayed and offers
'''the user the choice of using the SCPI for one of the 
'''supported instruments.
'''</summary>
Partial Class ChooseModel

    Public Sub New(ByVal connectedInstrument As String, ByVal compatibleInstruments As String())
        InitializeComponent()

        mConnectedInstrument.Text = connectedInstrument

        mCompatibleInstrument.Items.Clear()
        mCompatibleInstrument.Items.AddRange(compatibleInstruments)
        mCompatibleInstrument.SelectedIndex = 0

        ' Set the accept/cancel buttons
        AcceptButton = mOkButton
        CancelButton = mCancelButton
    End Sub

    ''' <summary>
    ''' Auto-property for compatible instrument
    ''' </summary>
    Public Property CompatibleInstrument() As String
        Get
            Return m_CompatibleInstrument
        End Get
        Set(ByVal value As String)
            m_CompatibleInstrument = value
        End Set
    End Property
    Private m_CompatibleInstrument As String

    ''' <summary>
    ''' Process the "OK" key...
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    Private Sub mOkButton_Click(ByVal sender As Object, ByVal e As EventArgs) Handles mOkButton.Click

        ' Cache the answer
        CompatibleInstrument = If((mCompatibleInstrument.SelectedIndex < 0), "", mCompatibleInstrument.Items(mCompatibleInstrument.SelectedIndex).ToString())

        ' Close the form.
        DialogResult = DialogResult.OK
        Close()
    End Sub
End Class